<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.channel.mapper.ChannelCouponVerifyLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.channel.domain.ChannelCouponVerifyLog">
        <id column="id" property="id" />
        <result column="channel_id" property="channelId" />
        <result column="user_coupon_id" property="userCouponId" />
        <result column="verify_code" property="verifyCode" />
        <result column="title" property="title" />
        <result column="discount_type" property="discountType" />
        <result column="discount" property="discount" />
        <result column="distribute_time" property="distributeTime" />
        <result column="valid_start" property="validStart" />
        <result column="valid_end" property="validEnd" />
        <result column="verify_time" property="verifyTime" />
        <result column="settle_status" property="settleStatus" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, channel_id, user_coupon_id, verify_code, title, discount_type, discount, distribute_time, valid_start, valid_end, verify_time, settle_status, created_time, updated_time
    </sql>

</mapper>
